# bond口已具有多个IPv6地址时，添加或删除IPv6地址耗时过久<a name="ZH-CN_TOPIC_0183013295"></a>

## 问题现象<a name="zh-cn_topic_0161841803_zh-cn_topic_0159682015_section119221611174719"></a>

下列方式配置或删除（包括flush）IPv6地址方式，X为动态变化的低16位，并且配置在bond口时，耗时会随已配置的IPv6地址数量成数倍增加。例如由4个物理网卡组成的bond口添加IPv6地址时，单线程添加删除3000 IPv6地址均需大概5分钟，而普通物理网卡耗时在10秒内。

```
ip a add/del 192:168::18:X/64 dev DEVICE
```

## 原因分析<a name="zh-cn_topic_0161841803_zh-cn_topic_0159682015_section1368134994713"></a>

bond口在添加IPv6地址时，会生成IPv6组播地址，并进行同步到所有的物理网卡上，此耗时会随IPv6数量增加而增加，导致耗时过长。

## 解决方法<a name="zh-cn_topic_0161841803_zh-cn_topic_0159682015_section154538584471"></a>

IPv6的组播地址是由IPv6地址的低24位与33-33-ff组合生成，组播地址过多会导致添加删除耗时增加，如果生成的组播地址为少量，耗时不会受此影响。

建议添加IPv6地址时，可保持低24位一致，保持高位变动，单网卡中仅需一个网段的一个地址即可与外部正常通信，此配置更符合常规使用。

