# 传输文件<a name="ZH-CN_TOPIC_0186639818"></a>

## 概述<a name="section8433148461"></a>

这里给出vsftpd服务启动后，如何进行文件传输的指导。

## 连接服务器<a name="section842892013308"></a>

**命令格式**

**ftp**  \[_hostname_  |  _ip-address_\]

其中hostname为服务器名称，ip-address为服务器IP地址。

**操作说明**

在openEuler系统的命令行终端，执行如下命令：

```
ftp ip-address
```

根据提示输入用户名和密码，认证通过后显示如下，说明ftp连接成功，此时进入了连接到的服务器目录。

```
ftp> 
```

在该提示符下，可以输入不同的命令进行相关操作：

-   显示服务器当前地址

    ```
    ftp>pwd
    ```

-   显示本地路径，用户可以将该路径下的文件上传到FTP服务器对应位置

    ```
    ftp>lcd
    ```

-   退出当前窗口，返回本地Linux终端

    ```
    ftp>！
    ```


## 下载文件<a name="section791812619323"></a>

通常使用get或mget命令下载文件。

**get使用方法**

-   功能说明：将文件从远端主机中传送至本地主机中
-   命令格式：**get**  \[_remote-file_\] \[_local-file_\]

    其中 _remote-file_ 为远程文件，_local-file_ 为本地文件

-   示例：获取远程服务器上的/usr/your/openEuler.htm文件，命令如下：

    ```
    ftp> get /usr/your/openEuler.htm 
    ```


**mget使用方法**

-   功能说明：从远端主机接收一批文件至本地文件
-   命令格式：**mget**  \[_remote-files_\]

    其中 _remote-file_ 为远程文件

-   示例：获取服务器上/usr/your/目录下的所有文件，命令如下：

    ```
    ftp> cd  /usr/your/
    ftp> mget *.* 
    ```

    >![](public_sys-resources/icon-note.gif) **说明：**   
    >-   此时每下载一个文件，都会有提示信息。如果要屏蔽提示信息，则在**mget \*.\* **命令前先执行**prompt off**  
    >-   文件都被下载到Linux主机的当前目录下。比如，在/usr/my/下运行的ftp命令，则文件都下载到/usr/my/下。  


## 上传文件<a name="section1630433133010"></a>

通常使用put或mput命令上传文件。

**put使用方法**

-   功能说明：将本地的一个文件传送到远端主机中
-   命令格式：**put**  \[_local-file_\] \[_remote-file_\]

    其中 _remote-file_ 为远程文件，_local-file_ 为本地文件

-   示例：将本地的Euler.htm传送到远端主机/usr/your/，并改名为openEuler.htm，命令如下：

    ```
    ftp> put Euler.htm /usr/your/openEuler.htm
    ```


**mput使用方法**

-   功能说明：将本地主机中一批文件传送至远端主机
-   命令格式：**mput**  \[_local-file_\]

    其中 _local-file_ 为本地文件

-   示例：将本地当前目录下所有htm文件上传到服务器/usr/your/下，命令如下：

    ```
    ftp> cd  /usr/your 
    ftp> mput  *.htm 
    ```


## 删除文件<a name="section1010011483409"></a>

通常使用delete或mdelete命令删除文件。

**delete使用方法**

-   功能说明：删除远程服务器上的一个或多个文件
-   命令格式：**delete**  \[_remote-file_\]

    其中  _remote-file_ 为远程文件

-   示例：删除远程服务器上的openFile文件，命令如下：

    ```
    ftp> delete  openFile
    ```


**mdelete使用方法**

-   功能说明：删除远程服务器上的文件，常用于批量删除
-   命令格式：**mdelete**  \[_remote-file_\]

    其中  _remote-file_ 为远程文件

-   示例：删除所有a开头的文件，命令如下：

    ```
    ftp> mdelete  a*
    ```


## 断开服务器<a name="section1612795815438"></a>

断开与服务器的连接，使用bye命令，如下：

```
ftp> bye 
```

