# 添加、启用和禁用软件源<a name="ZH-CN_TOPIC_0182317332"></a>

本节将介绍如何通过“dnf config-manager”命令添加、启用和禁用软件源仓库。

## 添加软件源<a name="zh-cn_topic_0151920997_sb33361abbe6d4d779ea944c43e4060e2"></a>

要定义一个新的软件源仓库，您可以在 /etc/dnf/dnf.conf 文件中添加“repository”部分，或者在/etc/yum.repos.d/目录下添加“.repo”文件进行说明。建议您通过添加“.repo”的方式，每个软件源都有自己对应的“.repo”文件，以下介绍该方式的操作方法。

要在您的系统中添加一个这样的源，请在root权限下执行如下命令，执行完成之后会在/etc/yum.repos.d/目录下生成对应的repo文件。其中 _repository\_url_ 为repo源地址，详情请参见“使用DNF管理软件包 \> 配置DNF \> 修改配置文件”章节中的“repository参数说明”。

```
dnf config-manager --add-repo repository_url
```

## 启用软件源<a name="zh-cn_topic_0151920997_sa4f6a5540ad94c8e85e08202c710d249"></a>

要启用软件源，请在root权限下执行如下命令，其中 _repository_ 为新增.repo文件中的repo id（可通过dnf repolist查询）：

```
dnf config-manager --set-enable repository
```

您也可以使用一个全局正则表达式，来启用所有匹配的软件源。其中 _glob\_expression_ 为对应的正则表达式，用于同时匹配多个repo id：

```
dnf config-manager --set-enable glob_expression
```

## 禁用软件源<a name="zh-cn_topic_0151920997_s7e19028d76de4a70a0324f7dc42bd4a5"></a>

要禁用软件源，请在root权限下执行如下命令：

```
dnf config-manager --set-disable repository
```

同样的，您也可以使用一个全局正则表达式来禁用所有匹配的软件源：

```
dnf config-manager --set-disable glob_expression
```

