# 管理软件包<a name="ZH-CN_TOPIC_0182317333"></a>

使用dnf能够让您方便的进行查询、安装、删除软件包等操作。

## 搜索软件包<a name="zh-cn_topic_0151920885_s46a04fab4c23483fae17879a8e41e065"></a>

您可以使用rpm包名称、缩写或者描述搜索需要的RPM包，使用命令如下：

```
dnf search term
```

示例如下：

```
$   dnf search httpd
========================================== N/S matched: httpd ==========================================
httpd.aarch64 : Apache HTTP Server
httpd-devel.aarch64 : Development interfaces for the Apache HTTP server
httpd-manual.noarch : Documentation for the Apache HTTP server
httpd-tools.aarch64  : Tools for use with the Apache HTTP Server
libmicrohttpd.aarch64  : Lightweight library for embedding a webserver in applications
mod_auth_mellon.aarch64  : A SAML 2.0 authentication module for the Apache Httpd Server
mod_dav_svn.aarch64  : Apache httpd module for Subversion server
```

## 列出软件包清单<a name="zh-cn_topic_0151920885_s7d3d259d897442d48923201cefd38681"></a>

要列出系统中所有已安装的以及可用的RPM包信息，使用命令如下：

```
dnf list all
```

要列出系统中特定的RPM包信息，使用命令如下：

```
dnf list glob_expression…
```

示例如下：

```
$ dnf list httpd
Available Packages
httpd.aarch64              2.4.34-8.h5.oe1           Local
```

## 显示RPM包信息<a name="zh-cn_topic_0151920885_sa3608ad5110a4227aec8c51533a2501d"></a>

要显示一个或者多个RPM包信息，使用命令如下：

```
dnf info package_name…
```

例如搜索，命令如下：

```
$ dnf info httpd
Available Packages
Name        : httpd
Version     : 2.4.34
Release     : 8.h5.oe1
Arch        : aarch64 
Size        : 1.2 M
Repo        : Local
Summary     : Apache HTTP Server
URL         : http://httpd.apache.org/
License     : ASL 2.0
Description : The Apache HTTP Server is a powerful, efficient, and extensible
            : web server.
```

## 安装RPM包<a name="zh-cn_topic_0151920885_scd8c0a169c5a44c4b34089ed169e0b6d"></a>

要安装一个软件包及其所有未安装的依赖，请在root权限下执行如下命令：

```
dnf install package_name
```

您也可以通过添加软件包名字同时安装多个软件包。配置文件/etc/dnf/dnf.conf添加参数strict=False，运行dnf命令参数添加\--setopt=strict=0。请在root权限下执行如下命令：

```
dnf install package_name package_name… --setopt=strict=0
```

示例如下：

```
# dnf install httpd
```

## 下载软件包<a name="zh-cn_topic_0151920885_s0639a9b8fd9542feaffd406ebc481d75"></a>

使用dnf下载软件包，请在root权限下输入如下命令：

```
dnf download package_name
```

如果需要同时下载未安装的依赖，则加上\--resolve，使用命令如下：

```
dnf download --resolve package_name
```

示例如下：

```
# dnf download --resolve httpd
```

## 删除软件包<a name="zh-cn_topic_0151920885_s871972d10c9b4632b8db0cf35bd6a3f4"></a>

要卸载软件包以及相关的依赖软件包，请在root权限下执行如下命令：

```
dnf remove package_name…
```

示例如下：

```
# dnf remove totem
```

