# 处理空链接文件<a name="ZH-CN_TOPIC_0192977549"></a>

## 说明<a name="zh-cn_topic_0152100319_s939da4be32704857aeabb523a53d9d49"></a>

无指向的空链接文件，可能会被恶意用户利用，影响系统安全性。建议用户删除无效的空链接文件，提高系统安全性。

## 特殊场景<a name="section880225516586"></a>

openEuler系统安装完成后，可能存在空链接文件，这些空链接文件可能有对应用途（有些空链接文件是预制的，会被其他组件依赖）。请用户根据实际环境进行处理，处理方式请参见[实现](#zh-cn_topic_0152100319_s1b24647cdd834a8eaca3032611baf072)。

例如，openEuler支持UEFI和legacy BIOS两种安装模式，两种引导场景支持的grub相关包默认都安装，当用户选择legacy BIOS模式安装时，形成空链接文件“/etc/grub2-efi.cfg”；当用户选择UEFI模式安装时，会形成空链接文件“/etc/grub2.cfg”，需要用户根据实际情况处理空链接。

## 实现<a name="zh-cn_topic_0152100319_s1b24647cdd834a8eaca3032611baf072"></a>

1.  <a name="zh-cn_topic_0152100319_l4dc74664c4fb400aaf91fb314c4f9da6"></a>通过如下命令查找系统中的空链接文件。

    ```
    find dirname -type l -follow 2>/dev/null
    ```

    >![](public_sys-resources/icon-note.gif) **说明：**   
    >_dir__name_为搜索目录的名称，通常需要关注系统关键目录：/bin、/boot、/usr、/lib64、/lib、/var等。  

2.  如果此类文件无实际作用，可通过如下命令删除。

    ```
    rm -f filename
    ```

    >![](public_sys-resources/icon-note.gif) **说明：**   
    >_filename_为[步骤1](#zh-cn_topic_0152100319_l4dc74664c4fb400aaf91fb314c4f9da6)找出的文件名。  


