# 其他常见配置项<a name="ZH-CN_TOPIC_0184192753"></a>

## 概述<a name="section891512161392"></a>

除系统资源和虚拟设备外，XML配置文件还需要配置一些其他元素，本节介绍这些元素的配置方法。

## 元素介绍<a name="section5884430104314"></a>

-   os：定义虚拟机启动参数。

    子元素type：指定虚拟机类型，属性arch表示架构类型，如aarch64，属性machine表示虚拟机的芯片组类型，如aarch64结构使用“virt-4.0”类型。

    子元素loader：指定加载固件 ，如配置EDK提供的EFI文件，属性readonly表示是否是只读文件，值为“yes”或“no”，属性type表示loader的类型，常用的值有“rom”、“pflash”。

    子元素nvram：指定nvram文件路径，用于存储EFI启动配置。


-   features：Hypervisor支持控制一些虚拟机CPU/machine的特性，如高级电源管理接口“acpi”，ARM处理器指定GICv3中断控制器等。
-   iothreads：指定iothread数量，可以用于加速存储设备性能。
-   on\_poweroff：虚拟机关闭时采取的动作。
-   on\_reboot：虚拟机重启时采取的动作。
-   on\_crash：虚拟机崩溃时采取的动作。
-   clock：采用的时钟类型。

    属性offset：设置虚拟机时钟的同步类型，可选的值有“localtime”、“utc”、“timezone”、“variable”等。


## 配置示例<a name="section416341234917"></a>

虚拟机的类型为aarch64结构，使用virt-4.0芯片组，利用UEFI启动的虚拟机配置如下：

```
<domain type='kvm'>
    ...
    <os>
        <type arch='aarch64' machine='virt-4.0'>hvm</type>
        <loader readonly='yes' type='pflash'>/usr/share/edk2/aarch64/QEMU_EFI-pflash.raw</loader>
        <nvram>/var/lib/libvirt/qemu/nvram/openEulerVM.fd</nvram>
    </os>
    ...
</domain>
```

为虚拟机配置ACPI和GIC V3中断控制器特性。

```
<features>
    <acpi/>
    <gic version='3'/>
</features>
```

为虚拟机配置两个iothread，用于加速存储设备性能。

```
<iothreads>2</iothreads>
```

虚拟机关闭时，销毁虚拟机。

```
<on_poweroff>destroy</on_poweroff>
```

虚拟机重启时，重新启动虚拟机。

```
<on_reboot>restart</on_reboot>
```

虚拟机崩溃时，重新启动虚拟机。

```
<on_crash>restart</on_crash>
```

时钟采用“utc”的同步方式。

```
<clock offset='utc'/>
```

