# 其它常用设备<a name="ZH-CN_TOPIC_0184192752"></a>

## 概述<a name="section138722205324"></a>

除存储设备、网络设备外，XML配置文件中还需要指定一些其他外部设备，本节介绍这些元素的配置方法。

## 元素介绍<a name="section11275162243312"></a>

-   serial：串口设备

    属性type：用于指定串口类型。常用属性值为pty、tcp、pipe、file。


-   video：媒体设备

    属性type：媒体设备类型。常用属性值为virtio。

    子元素model：video的子元素，用于指定媒体设备类型。

-   input：输出设备

    属性type：指定输出设备类型。常用属性值为tabe、keyboard，分别表示输出设备为写字板、键盘。

    属性bus：指定挂载的总线。常用属性值为USB。

-   emulator：模拟器应用路径
-   graphics：图形设备

    属性type：指定图形设备类型。常用属性值为vnc。

    属性listen：指定侦听的IP地址。


## 配置示例<a name="section9754151025916"></a>

例如，在下面的示例中，配置了虚拟机的模拟器路径，pty串口、virtio媒体设备、USB写字板、USB键盘以及VNC图形设备。

>![](public_sys-resources/icon-note.gif) **说明：**   
>graphics的type配置为VNC时，建议配置属性passwd，即使用VNC登录时的密码。  

```
<domain type='kvm'>
    ...
    <devices>
        <emulator>/usr/libexec/qemu-kvm</emulator>
        <console type='pty'/>
        <video>
            <model type='virtio'/>
        </video>
        <input type='tablet' bus='usb'/>
        <input type='keyboard' bus='usb'/>
        <graphics type='vnc' listen='0.0.0.0' passwd='n8VfjbFK'/>
	...
	</devices>
</domain>
```

