# 管理虚拟网卡<a name="ZH-CN_TOPIC_0188739462"></a>

## 概述<a name="section103605514326"></a>

虚拟网卡类型主要包含virtio-net、vhost-net、vhost-user等。用户在创建虚拟机后，可能会有挂载或者卸载虚拟网卡的需求。openEuler提供了网卡热插拔的功能，通过网卡热插拔，能够改变网络的吞吐量，提高系统的灵活性和扩展性。

## 操作步骤<a name="section12620617143216"></a>

虚拟网卡的配置步骤，请参见"虚拟机配置 > 配置虚拟机设备 > 网络设备"。本节以vhost-net网卡为例，介绍挂载和卸载虚拟网卡的简单方法。

-   挂载vhost-net网卡：

    使用virsh attach-device命令挂载vhost-net虚拟网卡：

    ```
     # virsh attach-device <VMInstance> <attach-device.xml>
    ```

    上述命令可以为虚拟机在线挂载vhost-net网卡，其中网卡信息由attach-device.xml文件指定。下面是一个attach-device.xml文件的例子：

    ```
    ### attach-device.xml ###
        <interface type='bridge'>
          <mac address='52:54:00:76:f2:bb'/>
          <source bridge='br0'/>
          <virtualport type='openvswitch'/>
          <model type='virtio'/>
          <driver name='vhost' queues='2'/>
        </interface>
    ```

    通过上述命令挂载的vhost-net网卡，在虚拟机关机重启后失效。如果需要为虚拟机持久化挂载虚拟网卡，需要使用带--config参数的virsh attach-device命令。

-   卸载vhost-net网卡：

    通过在线挂载的网卡，如果不需要再使用，可以通过virsh detach命令动态卸载：

    ```
     # virsh detach-device <VMInstance> <detach-device.xml>
    ```

    其中，detach-device.xml指定了需要卸载的的XML信息，与动态挂载时的XML信息保持一致。


